name: "dev-testgen"

description: |
    This is TestGen model for the task of test generation.
urls:
  - https://huggingface.co/jacobhoffmann/CodeLLaMA-2-13B-TestGen-Dart_v0.2-GGUF

config_file: |
    name: dev-testgen
    backend: llama
    context_size: 6096
    f16: true
    parameters:
      model: downloads/llama_backend/CodeLLaMA-2-13B-TestGen-Dart_v0.2_Q4_0.gguf
      top_k: 80
      temperature: 0.2
      top_p: 0.7
    template:
      chat_message: |
        Below is an instruction that describes a task. Write a response that appropriately completes the request.
        ### Code: {{.Input}}
        ### Test:
      chat: |
        ### Code: {{.Input}}
        ### Test:
      completion: |
        {{.Input}}
    stopwords: 
    - </s>
files:
  - filename: "downloads/llama_backend/CodeLLaMA-2-13B-TestGen-Dart_v0.2_Q4_0.gguf"
    sha256: "4bf5e029e48cb4c5cb79cd5e795f531bd9d1eb62f827b0d05159ec61d1077780"
    uri: "https://huggingface.co/jacobhoffmann/CodeLLaMA-2-13B-TestGen-Dart_v0.2-GGUF/resolve/main/CodeLLaMA-2-13B-TestGen-Dart_v0.2_Q4_0.gguf"